package cz.moneta.test.dsl.util.task.cvm;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.util.task.cvm.onlinedb.OnlineDbGetDataTasks;
import cz.moneta.test.dsl.util.task.cvm.onlinedb.OnlineDbVerificationTasks;
import cz.moneta.test.dsl.util.task.cvm.wso2.CvmWso2Tasks;

public class CvmTasks {

    private Harness harness;

    public CvmTasks(Harness harness) {
        this.harness = harness;
    }

    public OnlineDbGetDataTasks onlineDbGetData() {
        return new OnlineDbGetDataTasks(harness);
    }

    public OnlineDbVerificationTasks onlineDbVerification() {
        return new OnlineDbVerificationTasks(harness);
    }

    public CvmWso2Tasks cvmWso2() {
        return new CvmWso2Tasks(harness);
    }

}
